//包含炫彩界面库文件
#include <windows.h>
#pragma comment(lib, "XCGUI.lib")
#include "xcgui.h"

#include "XCChart.h"

HWINDOW  hWindow=NULL;
CChart chart;

XC_CChart_DecEleEventC(hWindow, chart, L"ID_PICTURE_1");

//事件响应
// int CALLBACK My_EventBtnClick(BOOL *pbHandled)
// {
//     //弹出消息框
//     MessageBoxW(XWnd_GetHWND(hWindow),L"你点击了按钮",L"提示",MB_OK);
// 	*pbHandled=TRUE; //对该事件进行拦截,如果不需要拦截可以去掉该行代码
//     return 0;    //事件的返回值
// }

int APIENTRY wWinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPTSTR lpCmdLine, int nCmdShow)
{
    XInitXCGUI(FALSE); //初始化
    //hWindow=XWnd_Create(0,0,300,200,L"炫彩界面库-窗口");//创建窗口
	XC_LoadResource(L".\\Simple\\resource.res");  //加载资源文件
	HXCGUI hXCGUI=XC_LoadLayout(L".\\Simple\\main.xml"); //加载布局文件
	hWindow = (HWINDOW)hXCGUI;
    if(hWindow)
    {
//         HELE hButton=XBtn_Create(20,60,80,25,L"按钮",hWindow);//创建按钮
//         XEle_RegEventC(hButton,XE_BNCLICK,My_EventBtnClick);//注册按钮点击事件

        XWnd_AdjustLayout(hWindow);  //调整布局,如果没有使用布局功能,可以不调用此函数
        XWnd_ShowWindow(hWindow,SW_SHOW);//显示窗口

		XC_CChart_RegEleEventC(hWindow, L"ID_PICTURE_1");
		XC_CChart_EleMsgRepair(hWindow, chart, L"ID_PICTURE_1");

		chart.SetType(kTypeStem);
		double data[6] ={1, 3, 5, 2, 4, 6};
		chart.AddStems(data, 6, _T("序列一"));
		chart.SetTitle(_T("炫彩界面库画柱图"));
		
        XRunXCGUI(); //运行
    }
	
    XExitXCGUI(); //释放资源	
    return 0;
}

